## org.apache.fop.datatypes
Class StyleData

    java.lang.Object
      |
      +--org.apache.fop.datatypes.StyleData

public class StyleData
extends java.lang.Object

a StyleData quantity in XSL

Author:
  Keiron Liddle <keiron@aftexsw.com>

Constructor Summary
`StyleData(java.lang.String str)` set the StyleData given a particular String specifying StyleData and units

Method Summary
`org.w3c.dom.css.CSSStyleDeclaration` `getStyle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleData

    public StyleData(java.lang.String str)

  set the StyleData given a particular String specifying StyleData and units

Method Detail

### getStyle

    public org.w3c.dom.css.CSSStyleDeclaration getStyle()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.